org.apache.ode.bpel.elang.xpath20.compiler

## Class SaxonContext

- java.lang.Object
- - net.sf.saxon.sxpath.AbstractStaticContext
  - - net.sf.saxon.xpath.JAXPXPathStaticContext
    - - org.apache.ode.bpel.elang.xpath20.compiler.SaxonContext

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, net.sf.saxon.expr.Container, net.sf.saxon.expr.StaticContext, net.sf.saxon.om.NamespaceResolver

      public class SaxonContext
      extends net.sf.saxon.xpath.JAXPXPathStaticContext

  Hooks on Saxon StandaloneContext to be notified when the compilation finds some variables and functions. This allows us to prepare the OXpathExpression with variable references and all the things needed at runtime.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaxonContext(net.sf.saxon.Configuration config, JaxpVariableResolver varResolver, JaxpFunctionResolver funcResolver)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.xpath.JAXPXPathStaticContext

      `bindVariable, getImportedSchemaNamespaces, getNamespaceContext, getNamespaceResolver, getStackFrameMap, getURIForPrefix, getURIForPrefix, getXPathFunctionResolver, getXPathVariableResolver, importSchema, isImportedSchema, iteratePrefixes, setNamespaceContext, setXPathFunctionResolver, setXPathVariableResolver`

    - ### Methods inherited from class net.sf.saxon.sxpath.AbstractStaticContext

      `addFunctionLibrary, declareCollation, getBaseURI, getCollation, getColumnNumber, getConfiguration, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getExecutable, getFunctionLibrary, getHostLanguage, getLineNumber, getLocationMap, getLocationProvider, getNamePool, getPublicId, getSystemId, isAllowedBuiltInType, isInBackwardsCompatibleMode, issueWarning, makeEarlyEvaluationContext, replaceSubExpression, setBackwardsCompatibilityMode, setBaseURI, setConfiguration, setDefaultElementNamespace, setDefaultFunctionLibrary, setDefaultFunctionNamespace, setFunctionLibrary, setLocationMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.expr.StaticContext

      `getBaseURI, getCollation, getConfiguration, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getLineNumber, getLocationMap, getNamePool, getSystemId, isAllowedBuiltInType, isInBackwardsCompatibleMode, issueWarning, makeEarlyEvaluationContext`

    - ### Methods inherited from interface net.sf.saxon.expr.Container

      `getExecutable, getHostLanguage, getLocationProvider, replaceSubExpression`

    - ### Methods inherited from interface javax.xml.transform.SourceLocator

      `getColumnNumber, getLineNumber, getPublicId, getSystemId`

- - ### Constructor Detail

    - #### SaxonContext

          public SaxonContext(net.sf.saxon.Configuration config,
                      JaxpVariableResolver varResolver,
                      JaxpFunctionResolver funcResolver)